View Issue Details

IDProjectCategoryView StatusLast Update
0003956SOGoActiveSyncpublic2017-01-09 15:49
ReporterChristian Mack Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSCentOSOS Version5.6
Product Version2.3.18 
Fixed in Version3.2.5 
Summary0003956: DOS with huge E-Mails while synchronizing with ActiveSync
Description

Synchronization with ActiveSync.
Server Settings:
WOWatchDogRequestTimeout = 60;
SxVMemLimit = 384;
WOMaxUploadSize = 22528;
SOGoMaximumPingInterval = 3540;
SOGoMaximumSyncInterval = 3540;
SOGoInternalSyncInterval = 60;
SOGoMaximumSyncWindowSize = 128;
SOGoMaximumSyncResponseSize = 51200;

User creates E-Mail with e.g. 3 GiB Attachment.
Stores it to Drafts folder or sends it.
It gets synched via ActiveSync.
WOMaxUploadSize is not respected for ActiveSync.
Server exhausts his RAM and Swap and freezes. => DOS

Transfer size should be capped in ActiveSync too.
I am not sure you can avoid the download to the SOGo server per ActiveSync protocol, which would be nice.

TagsNo tags attached.

Activities

ludovic

ludovic

2016-12-30 10:02

administrator   ~0011144

This is incorrect - WOMaxUploadSize is handled correctly even for EAS.

I've nonetheless pushed a change to return the valid EAS error code when that happens, instead of a 500 error.

Related Changesets

sogo: master cdf6aaa5

2016-12-30 09:58:51

ludovic

Details Diff
(fix) provide correct error response to EAS client when sending big mails (fixes 0003956) Affected Issues
0003956
mod - ActiveSync/SOGoActiveSyncDispatcher.m Diff File

sogo: v2 d8582dbc

2016-12-30 09:58:51

ludovic

Details Diff
(fix) provide correct error response to EAS client when sending big mails (fixes 0003956) Affected Issues
0003956
mod - ActiveSync/SOGoActiveSyncDispatcher.m Diff File

sogo: maint daad202e

2016-12-30 09:58:51

ludovic


Committer: francis Details Diff
(fix) provide correct error response to EAS client when sending big mails (fixes 0003956) Affected Issues
0003956
mod - ActiveSync/SOGoActiveSyncDispatcher.m Diff File

Issue History

Date Modified Username Field Change
2016-12-19 07:16 Christian Mack New Issue
2016-12-19 09:44 ludovic Severity crash => feature
2016-12-30 10:00 ludovic Changeset attached => sogo master cdf6aaa5
2016-12-30 10:00 ludovic Assigned To => ludovic
2016-12-30 10:00 ludovic Resolution open => fixed
2016-12-30 10:00 ludovic Changeset attached => sogo v2 d8582dbc
2016-12-30 10:02 ludovic Note Added: 0011144
2016-12-30 10:02 ludovic Status new => resolved
2016-12-30 10:02 ludovic Fixed in Version => 3.2.5
2017-01-09 15:49 francis Changeset attached => sogo maint daad202e